### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.connection

# Class TCPIPServer

java.lang.Object
com.sas.services.connection.Server
com.sas.services.connection.TCPIPServer

All Implemented Interfaces:
  `Serializable`, `Cloneable`

Direct Known Subclasses:
  `BridgeServer`

@SASScope("ALL") @BinaryCompatibilityOnly public abstract class TCPIPServer extends Server
A base class to describe IOM servers that communicate with clients using a TCP/IP application protocol.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.sas.services.connection.Server

  `AUTH_SERVICE_HOST, AUTH_SERVICE_METADATA, AUTH_SERVICE_NONE, AUTH_SERVICE_PROMPT, CLSID_ABM, CLSID_ABM_1_0, CLSID_OBJSPAWN, CLSID_OBJSPAWN_1_0, CLSID_OBJSPAWN_1_1, CLSID_POOLED_SAS, CLSID_POOLED_SAS_1_0, CLSID_SAS, CLSID_SAS_1_0, CLSID_SAS_1_1, CLSID_SAS_1_2, CLSID_SASGMS, CLSID_SASGMS_1_0, CLSID_SASMDX, CLSID_SASMDX_1_0, CLSID_SASMQX, CLSID_SASMQX_1_0, CLSID_SASOMI, CLSID_SASOMI_1_0, CLSID_SASOMI_1_1, CLSID_SASOMI_2_0, CLSID_SASSTP, CLSID_SASSTP_1_0, CLSID_SASTableServer, CLSID_SASTableServer_1_0, CLSID_UNDESIGNATED, OBJSPAWN_ID, SECURITY_PACKAGE_KERBEROS, SECURITY_PACKAGE_LIST_DEFAULT, SECURITY_PACKAGE_NEGOTIATE, SECURITY_PACKAGE_NTLM, SERVERTYPE_NOT_IOM, SERVERTYPE_OBJSPAWN, SERVERTYPE_SAS, SERVERTYPE_SASGMS, SERVERTYPE_SASMDX, SERVERTYPE_SASMQX, SERVERTYPE_SASOMI, SERVERTYPE_SASSTP, SERVERTYPE_SASTableServer, SERVERTYPE_UNDESIGNATED`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TCPIPServer(String classID, String host, int port)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object that)`
  `String`
  `getHost()`
  Get the host.
  `String`
  `getNormalizedHost()`
  Get the normalized host.
  `String`
  `getOption(String name)`
  Get the value of the named option.
  `int`
  `getPort()`
  Get the port.
  `int`
  `hashCode()`
  `String`
  `removeOption(String name)`
  Remove a name option and its value.
  `void`
  `setHost(String host)`
  Set the host.
  `String`
  `setOption(String name, String value)`
  Set the value of the named option.
  `void`
  `setPort(int port)`
  Set the port.

  ### Methods inherited from class com.sas.services.connection.Server

  `clone, clsidNameToValue, clsidToServerType, enumArgumentCheck, enumArgumentException, fromURI, getAuthService, getClassID, getDelim, getDomain, getMaxClients, getNormalizedClassID, getNormalizedSecurityPackage, getNormalizedSecurityPackageList, getOptionMap, getReactivationLimit, getSecurityPackage, getSecurityPackageList, getServerComponentURI, getShutdownAfterMinutes, getSPN, isMetadataServerClassID, isPooledSasClsid, isSecurityPackageAllowed, normalizeSecurityPackage, normalizeSecurityPackageList, setAuthService, setClassID, setDomain, setMaxClients, setReactivationLimit, setSecurityPackage, setSecurityPackageList, setServerComponentURI, setShutdownAfterMinutes, setSPN, toString, toURI, toURI, validateAuthService`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TCPIPServer

    public TCPIPServer(String classID, String host, int port)

- ## Method Details

  - ### setHost

    public void setHost(String host)
    Set the host.
    Parameters:
      `host` - the host

  - ### getHost

    public String getHost()
    Get the host.
    Returns:
      the host

  - ### getNormalizedHost

    public String getNormalizedHost()
    Get the normalized host. The normalized host is all lowercase.
    Returns:
      the normalized host

  - ### setPort

    public void setPort(int port)
    Set the port.
    Parameters:
      `port` - the port

  - ### getPort

    public int getPort()
    Get the port.
    Returns:
      the port

  - ### getOption

    public String getOption(String name)
    Description copied from class: `Server`
    Get the value of the named option.
    Overrides:
      `getOption` in class `Server`
    Parameters:
      `name` - the option name
    Returns:
      the value of the named option

  - ### setOption

    public String setOption(String name, String value)
    Description copied from class: `Server`
    Set the value of the named option.
    Overrides:
      `setOption` in class `Server`
    Parameters:
      `name` - the option name
      `value` - the option value
    Returns:
      the previous option value

  - ### removeOption

    public String removeOption(String name)
    Description copied from class: `Server`
    Remove a name option and its value.
    Overrides:
      `removeOption` in class `Server`
    Parameters:
      `name` - the option name
    Returns:
      the previous value

  - ### equals

    public boolean equals(Object that)
    Overrides:
      `equals` in class `Server`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Server`